Subject: RE: [netlmm] Questions regarding new NetLMM protocol draft

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Mon, 26 Jun 2006 01:34:35 -0700

Hi Andy.  Comments below. 

> -----Original Message-----
> From: Andy Huang [mailto:[email-masked]] 
> Sent: Thursday, June 22, 2006 7:14 PM
> To: Grace, Kevin H.; [email-masked]
> Subject: Re: [netlmm] Questions regarding new NetLMM protocol draft
> 
> And I also have some questions after reading this protocol.
> Q1:
> Described in 8.2.1, the MAG List includes the following fields:
> MAG ID of the associated MAG.
> One or more IP address(es) of the associated MAG.
> Forwarding capabilities of the associated MAG.
> Forwarding setting for the associated MAG.
> Capability list of the associated MAG.
> 
> I was confused with what  is the difference between 
> 'Forwarding capabilities of the associated MAG' and 
> 'Capability list of the associated MAG' ?
> As to 'Forwarding setting for the associated MAG', is it a 
> part of 'Capability list of the associated MAG'?
> The last three things seem ambiguous. Or I didn't understant 
> them clearly?
> 

I believe that forwarding capability is one of the items in the
capability list.  I agree that further clarification is needed.  My
understanding of these 3 items is that capability list of associated
MAG(s) is maintained.  One of the capability is forwarding modes
supported by the MAG.  And the forwarding mode established with the MAG
(with Association message exchange) is stored as well.

> Q2:
> I am wondering whether MAG will send RA with LMA prefix in 
> the prefix option periodically?
> 

The MN-AR/MAG interface should follow RFC 2461.  I don't think we need
to specify anything in this draft.

> Q3:
> Routing tag is defined in the protocol, but there is no 
> details about how to use the routing tag in the traffic forwarding.

I believe this is an unresolved topic to be tracked in the TODO list in
Appendix A.

Kent

><snip>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Julien Laganier <[email-masked]>
Date: Mon, 26 Jun 2006 16:35:33 +0200

Hi Kent,

Overall I think the draft is in very good shape for a -00. I've 
however one comments reacting to what you said:

On Monday 26 June 2006 10:34, Kent Leung (kleung) wrote:
> The MN-AR/MAG interface should follow RFC 2461.  I don't think we
> need to specify anything in this draft.

Actually that is mentioned in multiple places, notably Section 4. 
Protocol Overview:

	The LMA responds to the message with a a Location 
	Registration Ack message that includes the NetLMM
	prefix that the MAG is to use in its router advertisement
	toward the Mobile Node.  The MAG in turn sends a router 
	advertisement to the attached mobile.

(...)
	The new MAG acknowledges this information with a
	Routing Setup Ack message and the LMA responds with a Location
	Registration Ack message containing the NetLMM prefix that 
	the nMAG uses in the router advertisement for the MN.

And then in corresponding specifications in Sections 5.4., 5.6. and 
8.1.3.3. 

I suggest to replace the text there by what you said:

     The MN-AR/MAG interface should be conformant to [RFC2461].

IMO, the only place where we need to specify explicitly how to handle 
Neighbor Discovery between MN and MAG is Section 8.1.3.4. because it 
needs to support DAD when SEND is enabled (which in turns probably 
requires tunneling of the DAD-NS to the MAG where the duplicates 
occurs.)

Best,

--julien